## ros-kinetic-rosjava-extras 0.3.4

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rosjava_extras)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED rosjava_build_tools)

catkin_rosjava_setup(publish)

catkin_package()

##############################################################################
# Installation
##############################################################################

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/com/github/rosjava/${PROJECT_NAME}/ 
        DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/com/github/rosjava/${PROJECT_NAME})

=== debian/changelog ===
ros-kinetic-rosjava-extras (0.3.4-0xenial) xenial; urgency=high

  * Upgrading Gradle version to 4.10.2.
  * Contributors: Juan Ignacio Ubeira

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 23 Jan 2019 03:00:00 -0000

ros-kinetic-rosjava-extras (0.3.3-0xenial) xenial; urgency=high

  * move ImageEncodings class to sensor_msgs package. Makes it more similar to c++ and intuitive to use.
  * Contributors: Julian Cerruti, talregev

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 15 Jun 2017 03:00:00 -0000

ros-kinetic-rosjava-extras (0.3.2-0xenial) xenial; urgency=high

  * add cv_bridge_javacv (java library).
  * Contributors: talregev

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 May 2017 03:00:00 -0000

ros-kinetic-rosjava-extras (0.3.1-0xenial) xenial; urgency=high

  * Add image submodule
  * publishMavenJavaPublicationToMavenRepository -> publish
  * Contributors: Julian Cerruti, talregev

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 22 Feb 2017 03:00:00 -0000

ros-kinetic-rosjava-extras (0.3.0-0xenial) xenial; urgency=high

  * Updates for kinetic release.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 15 Dec 2016 03:00:00 -0000

ros-kinetic-rosjava-extras (0.2.1-0xenial) xenial; urgency=high

  * gradle 1.8 -> 2.2.1
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Feb 2015 03:00:00 -0000

ros-kinetic-rosjava-extras (0.1.5-0xenial) xenial; urgency=high

  * constrain open ranged dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 01 Nov 2013 03:00:00 -0000

ros-kinetic-rosjava-extras (0.1.4-0xenial) xenial; urgency=high

  * use ROS_MAVEN_REPOSITORY

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-extras (0.1.3-0xenial) xenial; urgency=high

  * official maven style open ended dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 25 Oct 2013 03:00:00 -0000

ros-kinetic-rosjava-extras (0.1.2-0xenial) xenial; urgency=high

  * use updated ros gradle plugins with maven-publish for publishing.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Sep 2013 03:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosjava-extras
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosjava-bootstrap, ros-kinetic-rosjava-build-tools, ros-kinetic-rosjava-core, ros-kinetic-sensor-msgs
Homepage: http://ros.org/wiki/rosjava_extras
Standards-Version: 3.9.2

Package: ros-kinetic-rosjava-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosjava-bootstrap, ros-kinetic-rosjava-build-tools, ros-kinetic-rosjava-core, ros-kinetic-sensor-msgs
Description: Extra packages for rosjava_core

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosjava-extras//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
